Skip to main content
GET
/
v1
/
orderbooks
/
{centos_id}
Get Orderbook
curl --request GET \
  --url https://api.centosfi.com/v1/orderbooks/{centos_id}
{
  "status": "ok",
  "orderbook": {
    "bids": [
      {
        "price": 123,
        "qty": 123
      }
    ],
    "asks": [
      {
        "price": 123,
        "qty": 123
      }
    ],
    "best_bid_price": 123,
    "best_ask_price": 123,
    "centos_id": 123,
    "custom_asset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "exchange_timestamp": "2023-11-07T05:31:56Z"
  },
  "message": "<string>"
}

Path Parameters

centos_id
integer
required

Query Parameters

levels
integer
default:10

Number of price levels to return

Required range: 1 <= x <= 10

Response

Successful Response

status
enum<string>
required
Available options:
ok,
pending,
not_found
orderbook
OrderbookData · object
message
string | null